(function ($) {
/**
* @file
* Javascript, modifications of DOM.
*
* Manipulates links to include jquery load funciton
*/
$(document).ready(function(){ 
  var sidebar_overflow_width = 1024; // if width less than this - use overflow screen
  /* add listeners on sidebar-primary and sidebar-secondary to close and open sidebars */
  $('icon.glyphicon-menu-hamburger').click(function(e){
    if ($(this).data('sidebar') != null) {
      $($(this).data('sidebar')).toggleClass('hidden');
      var sidebarIsVisible = false;
      var isSidebarMustOverflow = (window.innerWidth < sidebar_overflow_width) ? true : false; /* sidebar overflow page */
      // save state
      if ($('#sidebar-primary').hasClass('hidden')) {
        localStorage.setItem('sidebar-primary-hidden', 'hidden');
      } else {
        localStorage.setItem('sidebar-primary-hidden', 'visible');
        sidebarIsVisible = true;
        $('#sidebar-primary').addClass('sidebar-overflow');
      }
      if ($('#sidebar-secondary').hasClass('hidden')) {
        localStorage.setItem('sidebar-secondary-hidden', 'hidden');
      } else {
        localStorage.setItem('sidebar-secondary-hidden', 'visible');
        sidebarIsVisible = true;
        $('#sidebar-secondary').addClass('sidebar-overflow');
      }
      if (sidebarIsVisible && isSidebarMustOverflow) {
        $('#sidebar-overflow-screen').removeClass('hidden'); // set sidebar visible
        $('.pages').css('filter','blur(4px)');
        $('.pages').css('max-height','100vh');
      } else {
        $('#sidebar-overflow-screen').addClass('hidden');
        $('.pages').css('filter','none');
        $('.pages').css('max-height','none');
        $('#sidebar-primary').removeClass('sidebar-overflow');
        $('#sidebar-secondary').removeClass('sidebar-overflow');
      }
    }
  });
  // disable overflow screen
  $('#sidebar-overflow-screen').click(function(e){ // click on overflow screen
    $('#sidebar-overflow-screen').addClass('hidden');
    $('#sidebar-primary').removeClass('sidebar-overflow').addClass('hidden');
    $('#sidebar-secondary').removeClass('sidebar-overflow').addClass('hidden');
    $('.pages').css('filter','none');
    $('.pages').css('max-height','none');
  });
});



}(jQuery));
