<?php
/**
 * @file
 * menu-link.func.php
 */

/**
 * Overrides theme_menu_link().
 */
function elis_menu_link(array $variables) { 
  $element = $variables['element'];
  $sub_menu = '';
  
  $sub_menu_type = "collapse"; // allow 'dropdown' or 'collapsed'
  //var_dump($element);exit;
  $icon = '';
  if (isset($element['#original_link']) && isset($element['#original_link']['options']['menu_icon']) && isset($element['#original_link']['options']['menu_icon']['enable']) && $element['#original_link']['options']['menu_icon']['enable']) {
    $icon_path = $element['#original_link']['options']['menu_icon']['path']; // sites/default/files/pictures/icons/add.png 
    $icon_class = isset($element['#original_link']['options']['menu_icon']['image_style']) ? $element['#original_link']['options']['menu_icon']['image_style'] : 'menu_icon';
    $icon = '<img src="' . $GLOBALS['base_url'] . '/' . $icon_path . '" class="'. check_plain($icon_class) . '" />';
    $element['#title'] = '<div>' . $icon . check_plain($element['#title']) . '</div>'; // rewrite 
    $element['#localized_options']['html'] = TRUE;
  }

  if ($element['#below']) {
    // Prevent dropdown functions from being added to management menu so it
    // does not affect the navbar module.
    if (($element['#original_link']['menu_name'] == 'management') && (module_exists('navbar'))) {
      $sub_menu = drupal_render($element['#below']);
    }
    elseif ((!empty($element['#original_link']['depth'])) && ($element['#original_link']['depth'] == 1)) {
      // Add our own wrapper.
      unset($element['#below']['#theme_wrappers']);
      if ($sub_menu_type == 'dropdown') {
        $sub_menu = '<ul class="dropdown-menu">' . drupal_render($element['#below']) . '</ul>';
        // Generate as standard dropdown.
        $element['#title'] .= ' <span class="caret"></span>';
        $element['#attributes']['class'][] = 'dropdown';
        $element['#localized_options']['html'] = TRUE;
        // Set dropdown trigger element to # to prevent inadvertant page loading
        // when a submenu link is clicked.
        $element['#localized_options']['attributes']['data-target'] = '#';
        $element['#localized_options']['attributes']['class'][] = 'dropdown-toggle';      
        $element['#localized_options']['attributes']['data-toggle'] = 'dropdown';
      } else { // collapse
        $sub_menu_id = 'submenu_' . $element['#original_link']['menu_name'];
        $sub_menu = '<ul id="' . $sub_menu_id . '" class="collapse">' . drupal_render($element['#below']) . '</ul>';
        // Generate as standard dropdown.
        $caret = '<icon class="glyphicon glyphicon-chevron-down collapsed collapse-toggle" aria-expanded="false"  onclick="return false" data-toggle="collapse" data-target="#' . $sub_menu_id . '" style="padding: 1em; margin: -20px -1em -20px 0;"></icon>';
        $element['#title'] = '<div style="display: flex; justify-content: space-between; align-items: center;">' . ($icon ? $element['#title'] : check_plain($element['#title'])) . $caret . '</div>';
        $element['#localized_options']['html'] = TRUE;
      }
    }
  }
  $element['#localized_options']['attributes']['class'][] = 'withripple';
  // On primary navigation menu, class 'active' is not set on active menu item.
  // @see https://drupal.org/node/1896674
  if (($element['#href'] == $_GET['q'] || ($element['#href'] == '<front>' && drupal_is_front_page())) && (empty($element['#localized_options']['language']))) {
    $element['#attributes']['class'][] = 'active';
  }
  $element['#localized_options']['html'] = true;
  $output = l($element['#title'], $element['#href'], $element['#localized_options']);
  return '<li' . drupal_attributes($element['#attributes']) . '>' . $output . $sub_menu . "</li>\n";
}
